Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037835
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2018-02-05 16:012018-02-22 18:19
ReporterJONHMView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionb13652428b1c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037835: Performance issue in Generate Invoices process

DescriptionGenerate Invoices process takes too long to load in environments with high amount of data
Steps To Reproduce- Run "Generate Invoices" process from the backend

It takes 2531974.042 ms to load
TagsNo tags attached.
Attached Files? file icon generate_invoice.sql [^] (12,894 bytes) 2018-02-05 16:24
 file icon generate_invoices_query_plan [^] (7,879 bytes) 2018-02-05 16:24 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102338)
collazoandy4 (developer)
2018-02-12 17:09

Test Plan
  Open Generate Invoices window and check the business partner field is empty
  Go to Sales Order and create three new records:
    1. Business Partner: Alimentos y Supermercados, S.A, Invoice Terms: Immediate, Product: Agua sin Gas 1L, Ordered Quantity: 5
    2. Business Partner: Hoteles Buenas Noches, S.A., Invoice Terms: After Delivery, Product: Zumo de Pera 0,5L, Ordered Quantity: 6
    3. Business Partner: Restaurantes Luna Llena, S.A., Invoice Terms: After Order Delivered, Product: Zumo de PiƱa 0,5L, Ordered Quantity: 7
  Go to Goods Shipment window and create a new record:
    Business Partner: Hoteles Buenas Noches, S.A.
    Create Lines From the previous order created
    Edit the line created Movement Quantity: 3
    Complete the shipment
    Create another record in Header tab:
      Business Partner: Restaurantes Luna Llena, S.A.
      Create Lines From the previous order created
      Complete the shipment
  Open Generate Invoices window and check the business partner shows 3 records (The three partners created)
(0102447)
collazoandy4 (developer)
2018-02-15 17:45
edited on: 2018-02-16 17:19

With the changes made the execution query cost was reduce from 105544030.57 to 838264.07

(0102517)
hgbot (developer)
2018-02-20 09:55

Repository: erp/devel/pi
Changeset: b13652428b1cd2b3d8a8c491933e1a7cb5e50c1e
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Feb 09 18:44:25 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/b13652428b1cd2b3d8a8c491933e1a7cb5e50c1e [^]

Fixes issue 37835: Performance issue in Generate Invoices process

Generate Invoices process takes too long to load in environments with high amount
of data

The query to get all the business partner with pending sales order to invoice was
changed using the index created to minimize the time that the process take to load

---
M src-db/database/model/tables/C_ORDERLINE.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
---
(0102518)
dmiguelez (developer)
2018-02-20 09:56

Code Review + Testing Ok
(0102778)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-05 16:01 JONHM New Issue
2018-02-05 16:01 JONHM Assigned To => Triage Finance
2018-02-05 16:01 JONHM File Added: generate_invoices.sql
2018-02-05 16:01 JONHM Modules => Core
2018-02-05 16:01 JONHM Triggers an Emergency Pack => No
2018-02-05 16:02 JONHM File Added: generate_invoices_test_plan
2018-02-05 16:12 jfrances Issue Monitored: jfrances
2018-02-05 16:24 JONHM File Deleted: generate_invoices.sql
2018-02-05 16:24 JONHM File Deleted: generate_invoices_test_plan
2018-02-05 16:24 JONHM File Added: generate_invoice.sql
2018-02-05 16:24 JONHM File Added: generate_invoices_query_plan
2018-02-06 11:20 dmiguelez Assigned To Triage Finance => collazoandy4
2018-02-06 22:22 collazoandy4 Status new => scheduled
2018-02-12 17:09 collazoandy4 Note Added: 0102338
2018-02-15 17:45 collazoandy4 Note Added: 0102447
2018-02-16 17:19 collazoandy4 Note Edited: 0102447 View Revisions
2018-02-20 09:55 hgbot Checkin
2018-02-20 09:55 hgbot Note Added: 0102517
2018-02-20 09:55 hgbot Status scheduled => resolved
2018-02-20 09:55 hgbot Resolution open => fixed
2018-02-20 09:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b13652428b1cd2b3d8a8c491933e1a7cb5e50c1e [^]
2018-02-20 09:56 dmiguelez Review Assigned To => dmiguelez
2018-02-20 09:56 dmiguelez Note Added: 0102518
2018-02-20 09:56 dmiguelez Status resolved => closed
2018-02-20 09:56 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102778


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker